$(function () {

    //删除模板文件
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if (confirm("确定要删除该模板备份吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/TemplateDispose.ashx",
                data: { 'com': 'deltemplatebackup', 'filepath': $delObject.attr("href") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    });
})